﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Alchemy.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Alchemy(iID) 
	for k, v in pairs(SmexyMats.ItemsFrom_Alchemy) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

function SmexyMats:IsFor_Alchemy(iID) 
	for k, v in pairs(SmexyMats.ItemsFor_Alchemy) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

--Alchemy is a source for these items.
SmexyMats.ItemsFrom_Alchemy = {
	
	--Crafting Reagents
		108996,	--	Alchemical Catalyst
		52195,	--	Amberjewel
		36931,	--	Ametrine
		12360,	--	Arcanite Bar
		137596,	--	Black Transmutagen
		6370,	--	Blackmouth Oil
		124124,	--	Blood of Sargeras
		36919,	--	Cardinal Ruby
		109123,	--	Crescent Oil
		56850,	--	Deepstone Oil
		52194,	--	Demonseye
		36928,	--	Dreadstone
		52192,	--	Dream Emerald
		41334,	--	Earthsiege Diamond
		25867,	--	Earthstorm Diamond
		7068,	--	Elemental Fire
		52193,	--	Ember Topaz
		7082,	--	Essence of Air
		7076,	--	Essence of Earth
		7078,	--	Essence of Fire
		12808,	--	Essence of Undeath
		7080,	--	Essence of Water
		35623,	--	Eternal Air
		35624,	--	Eternal Earth
		36860,	--	Eternal Fire
		35625,	--	Eternal Life
		35627,	--	Eternal Shadow
		35622,	--	Eternal Water
		44958,	--	Ethereal Oil
		36934,	--	Eye of Zul
		6371,	--	Fire Oil
		9210,	--	Ghost Dye
		9061,	--	Goblin Rocket Fuel
		3577,	--	Gold Bar
		76141,	--	Imperial Amethyst
		52190,	--	Inferno Ruby
		36922,	--	King's Amber
		12803,	--	Living Essence
		72104,	--	Living Steel
		36925,	--	Majestic Zircon
		52191,	--	Ocean Sapphire
		137597,	--	Oily Transmutagen
		22451,	--	Primal Air
		76132,	--	Primal Diamond
		22452,	--	Primal Earth
		21884,	--	Primal Fire
		21886,	--	Primal Life
		22457,	--	Primal Mana
		23571,	--	Primal Might
		22456,	--	Primal Shadow
		21885,	--	Primal Water
		76131,	--	Primordial Ruby
		40195,	--	Pygmy Oil
		51950,	--	Pyrium Bar
		76138,	--	River's Heart
		118472,	--	Savage Blood
		52303,	--	Shadowspirit Diamond
		25868,	--	Skyfire Diamond
		41266,	--	Skyflare Diamond
		113264,	--	Sorcerous Air
		113263,	--	Sorcerous Earth
		113261,	--	Sorcerous Fire
		113262,	--	Sorcerous Water
		13423,	--	Stonescale Oil
		76142,	--	Sun's Radiance
		41163,	--	Titanium Bar
		72095,	--	Trillium Bar
		58480,	--	Truegold
		6037,	--	Truesilver Bar
		137595,	--	Viscous Transmutagen
		76140,	--	Vermilion Onyx
		76139,	--	Wild Jadem
	
	--Crafted by Alchemy ::: Legion
		127834,	--	Ancient Healing Potion
		127835,	--	Ancient Mana Potion
		127836,	--	Ancient Rejuvenation Potion
		127839,	--	Avalanche Elixir
		127837,	--	Draught of Raw Magic
		127850,	--	Flask of Ten Thousand Scars
		127849,	--	Flask of the Countless Armies
		127848,	--	Flask of the Seventh Demon
		127847,	--	Flask of the Whispered Pact
		127842,	--	Infernal Alchemist Stone
		127846,	--	Leytorrent Potion
		137594,	--	Pile of Gems
		137593,	--	Pile of Herbs
		137592,	--	Pile of Ore
		137600,	--	Pile of Pants
		137590,	--	Pile of Silk
		137591,	--	Pile of Skins
		127843,	--	Potion of Deadly Grace
		142117,	--	Potion of Prolonged Power
		127844,	--	Potion of the Old War
		137599,	--	Pulsating Sac
		127840,	--	Skaggldrynk
		127841,	--	Skystep Potion
		127851,	--	Spirit Cauldron
		127838,	--	Sylvan Elixir
		127845,	--	Unbending Potion
		141323,	--	Wild Transmutation
	--7.3
		151568,	--	Primal Sargerite
		151607,	--	Astral Alchemist Stone
		152615,	--	Astral Healing Potion
		151608,	--	Lightblood Elixir
		151609,	--	Tears of the Naaru

	--Crafted by Alchemy ::: WoD
		109145,	--	Draenic Agility Flask
		109217,	--	Draenic Agility Potion
		109221,	--	Draenic Channeled Mana Potion
		109147,	--	Draenic Intellect Flask
		109218,	--	Draenic Intellect Potion
		116268,	--	Draenic Invisibility Potion
		116276,	--	Draenic Living Action Potion
		109222,	--	Draenic Mana Potion
		109262,	--	Draenic Philosopher's Stone
		109226,	--	Draenic Rejuvenation Potion
		109152,	--	Draenic Stamina Flask
		109148,	--	Draenic Strength Flask
		109219,	--	Draenic Strength Potion
		116266,	--	Draenic Swiftness Potion
		109220,	--	Draenic Versatility Potion
		116271,	--	Draenic Water Breathing Elixir
		118711,	--	Draenic Water Walking Elixir
		128159,	--	Elemental Distillate
		109153,	--	Greater Draenic Agility Flask
		109155,	--	Greater Draenic Intellect Flask
		109160,	--	Greater Draenic Stamina Flask
		109156,	--	Greater Draenic Strength Flask
		118704,	--	Pure Rage Potion
		118700,	--	Secret of Draenor Alchemy
		122604,	--	Stone of Fire
		122602,	--	Stone of the Earth
		122603,	--	Stone of the Waters
		122601,	--	Stone of Wind
		112090,	--	Transmorphic Tincture
		128158,	--	Wildswater
		
	--Crafted by Alchemy ::: MoP
		75525,	--	Alchemist's Flask
		76094,	--	Alchemist's Rejuvenation
		76096,	--	Darkwater Potion
		87872,	--	Desecrated Oil
		76081,	--	Elixir of Mirrors
		76079,	--	Elixir of Peace
		76080,	--	Elixir of Perfection
		76078,	--	Elixir of the Rapids
		76077,	--	Elixir of Weaponry
		76086,	--	Flask of Falling Leaves
		76084,	--	Flask of Spring Blossoms
		76087,	--	Flask of the Earth
		76085,	--	Flask of the Warm Sun
		76088,	--	Flask of Winter's Bite
		76076,	--	Mad Hozen Elixir
		76075,	--	Mantid Elixir
		76097,	--	Master Healing Potion
		76098,	--	Master Mana Potion
		76083,	--	Monk's Elixir
		76092,	--	Potion of Focus
		93351,	--	Potion of Luck
		76095,	--	Potion of Mogu Power
		76093,	--	Potion of the Jade Serpent
		76090,	--	Potion of the Mountains
		76089,	--	Virmen's Bite
		75274,	--	Zen Alchemist Stone
		
	--Crafted by Alchemy ::: Cataclysm
		65460,	--	Big Cauldron of Battle
		62288,	--	Cauldron of Battle
		58142,	--	Deathblood Venom
		67415,	--	Draught of War
		58090,	--	Earthen Potion
		58093,	--	Elixir of Deep Earth
		58094,	--	Elixir of Impossible Accuracy
		58144,	--	Elixir of Mighty Speed
		58092,	--	Elixir of the Cobra
		58148,	--	Elixir of the Master
		58089,	--	Elixir of the Naga
		67438,	--	Flask of Flowing Water
		58085,	--	Flask of Steelskin
		58086,	--	Flask of the Draconic Mind
		58087,	--	Flask of the Winds
		58088,	--	Flask of Titanic Strength
		58084,	--	Ghost Elixir
		58146,	--	Golemblood Potion
		58483,	--	Lifebound Alchemist Stone
		57193,	--	Mighty Rejuvenation Potion
		57099,	--	Mysterious Potion
		57191,	--	Mythical Healing Potion
		57192,	--	Mythical Mana Potion
		57194,	--	Potion of Concentration
		58487,	--	Potion of Deepholm
		58489,	--	Potion of Illusion
		58145,	--	Potion of the Tol'vir
		58488,	--	Potion of Treasure Finding
		58143,	--	Prismatic Elixir
		68776,	--	Quicksilver Alchemist Stone
		54464,	--	Random Volatile Element
		65891,	--	Vial of the Sands
		68777,	--	Vibrant Alchemist Stone
		68775,	--	Volatile Alchemist Stone
		58091,	--	Volcanic Potion
		
	--Crafted by Alchemy ::: WotLK
		40077,	--	Crazy Alchemist's Potion
		44325,	--	Elixir of Accuracy
		44330,	--	Elixir of Armor Piercing
		44327,	--	Elixir of Deadly Strikes
		44329,	--	Elixir of Expertise
		44331,	--	Elixir of Lightning Speed
		39666,	--	Elixir of Mighty Agility
		44328,	--	Elixir of Mighty Defense
		40078,	--	Elixir of Mighty Fortitude
		40109,	--	Elixir of Mighty Mageblood
		40073,	--	Elixir of Mighty Strength
		44332,	--	Elixir of Mighty Thoughts
		45621,	--	Elixir of Minor Accuracy
		40097,	--	Elixir of Protection
		40072,	--	Elixir of Versatility
		43569,	--	Endless Healing Potion
		43570,	--	Endless Mana Potion
		46377,	--	Flask of Endless Rage
		46378,	--	Flask of Pure Mojo
		46379,	--	Flask of Stoneblood
		46376,	--	Flask of the Frost Wyrm
		40076,	--	Guru's Elixir
		40067,	--	Icy Mana Potion
		44323,	--	Indestructible Alchemist Stone
		40093,	--	Indestructible Potion
		40079,	--	Lesser Flask of Toughness
		44322,	--	Mercurial Alchemist Stone
		44324,	--	Mighty Alchemist Stone
		40213,	--	Mighty Arcane Protection Potion
		40214,	--	Mighty Fire Protection Potion
		40215,	--	Mighty Frost Protection Potion
		40216,	--	Mighty Nature Protection Potion
		40217,	--	Mighty Shadow Protection Potion
		40081,	--	Potion of Nightmares
		40211,	--	Potion of Speed
		40212,	--	Potion of Wild Magic
		40087,	--	Powerful Rejuvenation Potion
		39671,	--	Resurgent Healing Potion
		33447,	--	Runic Healing Potion
		33448,	--	Runic Mana Potion
		40070,	--	Spellpower Elixir
		40068,	--	Wrath Elixir

	--Crafted by Alchemy ::: TBC
		28103,	--	Adept's Elixir
		35751,	--	Assassin's Alchemist Stone
		32839,	--	Cauldron of Major Arcane Protection
		32849,	--	Cauldron of Major Fire Protection
		32850,	--	Cauldron of Major Frost Protection
		32851,	--	Cauldron of Major Nature Protection
		32852,	--	Cauldron of Major Shadow Protection
		22839,	--	Destruction Potion
		32063,	--	Earthen Elixir
		22823,	--	Elixir of Camouflage
		32067,	--	Elixir of Draenic Wisdom
		22848,	--	Elixir of Empowerment
		22825,	--	Elixir of Healing Power
		32068,	--	Elixir of Ironskin
		22831,	--	Elixir of Major Agility
		22834,	--	Elixir of Major Defense
		22833,	--	Elixir of Major Firepower
		32062,	--	Elixir of Major Fortitude
		22827,	--	Elixir of Major Frost Power
		22840,	--	Elixir of Major Mageblood
		22835,	--	Elixir of Major Shadow Power
		22824,	--	Elixir of Major Strength
		28104,	--	Elixir of Mastery
		22830,	--	Elixir of the Searching Eye
		31677,	--	Fel Mana Potion
		31676,	--	Fel Regeneration Potion
		31679,	--	Fel Strength Elixir
		22861,	--	Flask of Blinding Light
		22851,	--	Flask of Fortification
		22853,	--	Flask of Mighty Versatility
		22866,	--	Flask of Pure Death
		22854,	--	Flask of Relentless Assault
		35748,	--	Guardian's Alchemist Stone
		22838,	--	Haste Potion
		22837,	--	Heroic Potion
		22828,	--	Insane Strength Potion
		22849,	--	Ironshield Potion
		34440,	--	Mad Alchemist's Potion
		22845,	--	Major Arcane Protection Potion
		22836,	--	Major Dreamless Sleep Potion
		22841,	--	Major Fire Protection Potion
		22842,	--	Major Frost Protection Potion
		22847,	--	Major Holy Protection Potion
		22844,	--	Major Nature Protection Potion
		22846,	--	Major Shadow Protection Potion
		31080,	--	Mercurial Stone
		28102,	--	Onslaught Elixir
		35750,	--	Redeemer's Alchemist Stone
		22871,	--	Shrouding Potion
		22826,	--	Sneaking Potion
		35749,	--	Sorcerer's Alchemist Stone
		22829,	--	Super Healing Potion
		22832,	--	Super Mana Potion
		22850,	--	Super Rejuvenation Potion
		28101,	--	Unstable Mana Potion
		28100,	--	Volatile Healing Potion
	
	--Crafted By Alchemy ::: Classic
		9155,	--	Arcane Elixir
		10592,	--	Catseye Elixir
		4596,	--	Discolored Healing Potion
		12190,	--	Dreamless Sleep Potion
		8949,	--	Elixir of Agility
		13453,	--	Elixir of Brute Force
		3389,	--	Elixir of Defense
		9224,	--	Elixir of Demonslaying
		9233,	--	Elixir of Detect Demon
		3828,	--	Elixir of Detect Lesser Invisibility
		9154,	--	Elixir of Detect Undead
		9197,	--	Elixir of Dream Vision
		6373,	--	Elixir of Firepower
		3825,	--	Elixir of Fortitude
		17708,	--	Elixir of Frost Power
		6662,	--	Elixir of Giant Growth
		9206,	--	Elixir of Giants
		9187,	--	Elixir of Greater Agility
		8951,	--	Elixir of Greater Defense
		21546,	--	Elixir of Greater Firepower
		9179,	--	Elixir of Greater Intellect
		18294,	--	Elixir of Greater Water Breathing
		3390,	--	Elixir of Lesser Agility
		2454,	--	Elixir of Lion's Strength
		2457,	--	Elixir of Minor Agility
		5997,	--	Elixir of Minor Defense
		2458,	--	Elixir of Minor Fortitude
		3391,	--	Elixir of Ogre's Strength
		9264,	--	Elixir of Shadow Power
		13445,	--	Elixir of Superior Defense
		13452,	--	Elixir of the Mongoose
		13447,	--	Elixir of the Sages
		5996,	--	Elixir of Water Breathing
		8827,	--	Elixir of Water Walking
		3383,	--	Elixir of Wisdom
		6049,	--	Fire Protection Potion
		13511,	--	Flask of Distilled Wisdom
		13512,	--	Flask of Supreme Power
		13510,	--	Flask of the Titans
		5634,	--	Free Action Potion
		3829,	--	Frost Oil
		6050,	--	Frost Protection Potion
		9088,	--	Gift of Arthas
		5633,	--	Great Rage Potion
		13454,	--	Greater Arcane Elixir
		13461,	--	Greater Arcane Protection Potion
		20002,	--	Greater Dreamless Sleep Potion
		13457,	--	Greater Fire Protection Potion
		13456,	--	Greater Frost Protection Potion
		1710,	--	Greater Healing Potion
		6149,	--	Greater Mana Potion
		13458,	--	Greater Nature Protection Potion
		13459,	--	Greater Shadow Protection Potion
		13455,	--	Greater Stoneshield Potion
		929,	--	Healing Potion
		6051,	--	Holy Protection Potion
		9172,	--	Invisibility Potion
		858,	--	Lesser Healing Potion
		3823,	--	Lesser Invisibility Potion
		3385,	--	Lesser Mana Potion
		4623,	--	Lesser Stoneshield Potion
		3387,	--	Limited Invulnerability Potion
		20008,	--	Living Action Potion
		20007,	--	Mageblood Elixir
		13446,	--	Major Healing Potion
		13444,	--	Major Mana Potion
		18253,	--	Major Rejuvenation Potion
		3826,	--	Major Troll's Blood Elixir
		3827,	--	Mana Potion
		13442,	--	Mighty Rage Potion
		20004,	--	Mighty Troll's Blood Elixir
		118,	--	Minor Healing Potion
		2455,	--	Minor Mana Potion
		2456,	--	Minor Rejuvenation Potion
		6052,	--	Nature Protection Potion
		8956,	--	Oil of Immolation
		9149,	--	Philosopher's Stone
		3386,	--	Potion of Curing
		13506,	--	Potion of Petrification
		13462,	--	Purification Potion
		5631,	--	Rage Potion
		9030,	--	Restorative Potion
		3824,	--	Shadow Oil
		6048,	--	Shadow Protection Potion
		3388,	--	Strong Troll's Blood Elixir
		3928,	--	Superior Healing Potion
		13443,	--	Superior Mana Potion
		2459,	--	Swiftness Potion
		6372,	--	Swim Speed Potion
		3382,	--	Weak Troll's Blood Elixir
		9144,	--	Wildvine Potion
};

--These items are reagents for Alchemy.
SmexyMats.ItemsFor_Alchemy = {
	--7.3
		151565,	--	Astral Glory
		151568,	--	Primal Sargerite

	--Legacy
		109143,	--	Abyssal Gulper Eel Flesh
		36903,	--	Adder's Tongue
		124101,	--	Aethril
		53065,	--	Albino Cavefish
		108996,	--	Alchemical Catalyst
		76137,	--	Alexandrite
		52179,	--	Alicite
		22790,	--	Ancient Lichen
		12363,	--	Arcane Crystal
		36921,	--	Autumn's Glow
		52985,	--	Azshara's Veil
		23117,	--	Azure Moonstone
		124119,	--	Big Gamy Ribs
		124112,	--	Black Barracuda
		13468,	--	Black Lotus
		137596,	--	Black Transmutagen
		9262,	--	Black Vitriol
		6370,	--	Blackmouth Oil
		109118,	--	Blackrock Ore
		109144,	--	Blackwater Whiptail Flesh
		109140,	--	Blind Lake Sturgeon Flesh
		8839,	--	Blindweed
		23077,	--	Blood Garnet
		124124,	--	Blood of Sargeras
		36917,	--	Bloodstone
		2450,	--	Briarthorn
		2453,	--	Bruiseweed
		52177,	--	Carnelian
		36923,	--	Chalcedony
		52983,	--	Cinderbloom
		109123,	--	Crescent Oil
		109137,	--	Crescent Saberfish Flesh
		3371,	--	Crystal Vial
		37701,	--	Crystallized Earth
		37702,	--	Crystallized Fire
		37704,	--	Crystallized Life
		37703,	--	Crystallized Shadow
		37705,	--	Crystallized Water
		124107,	--	Cursed Queenfish
		36932,	--	Dark Jade
		37921,	--	Deadnettle
		23079,	--	Deep Peridot
		56850,	--	Deepstone Oil
		3164,	--	Discolored Worg Heart
		3819,	--	Dragon's Teeth
		11176,	--	Dream Dust
		13463,	--	Dreamfoil
		22786,	--	Dreaming Glory
		124102,	--	Dreamleaf
		2449,	--	Earthroot
		25867,	--	Earthstorm Diamond
		7067,	--	Elemental Earth
		7068,	--	Elemental Fire
		7070,	--	Elemental Water
		52186,	--	Elementium Bar
		7082,	--	Essence of Air
		7076,	--	Essence of Earth
		7078,	--	Essence of Fire
		12808,	--	Essence of Undeath
		7080,	--	Essence of Water
		35623,	--	Eternal Air
		35624,	--	Eternal Earth
		36860,	--	Eternal Fire
		35625,	--	Eternal Life
		35627,	--	Eternal Shadow
		35622,	--	Eternal Water
		44958,	--	Ethereal Oil
		3818,	--	Fadeleaf
		109139,	--	Fat Sleeper Flesh
		124118,	--	Fatty Bearsteak
		23782,	--	Fel Iron Casing
		22794,	--	Fel Lotus
		127759,	--	Felblight
		123919,	--	Felslate
		22785,	--	Felweed
		124106,	--	Felwort
		109141,	--	Fire Ammonite Tentacle
		6371,	--	Fire Oil
		4625,	--	Firebloom
		6359,	--	Firefin Snapper
		109125,	--	Fireweed
		124104,	--	Fjarnskaggl
		21929,	--	Flame Spessarite
		79011,	--	Fool's Cap
		36933,	--	Forest Emerald
		124103,	--	Foxflower
		36908,	--	Frost Lotus
		109124,	--	Frostweed
		72096,	--	Ghost Iron Bar
		8845,	--	Ghost Mushroom
		41814,	--	Glassfin Minnow
		36901,	--	Goldclover
		23112,	--	Golden Draenite
		72238,	--	Golden Lotus
		13464,	--	Golden Sansam
		3821,	--	Goldthorn
		109126,	--	Gorgrond Flytrap
		3369,	--	Grave Moss
		72234,	--	Green Tea Leaf
		8846,	--	Gromsblood
		7077,	--	Heart of Fire
		10286,	--	Heart of the Wild
		52986,	--	Heartblossom
		52181,	--	Hessonite
		124109,	--	Highmountain Salmon
		36929,	--	Huge Citrine
		13467,	--	Icecap
		36906,	--	Icethorn
		7972,	--	Ichor of Undeath
		76141,	--	Imperial Amethyst
		124444,	--	Infernal Brimstone
		3575,	--	Iron Bar
		52182,	--	Jasper
		109138,	--	Jawless Skulker Flesh
		3358,	--	Khadgar's Whisker
		3356,	--	Kingsblood
		76133,	--	Lapis Lazuli
		5637,	--	Large Fang
		1288,	--	Large Venom Sac
		124117,	--	Lean Shank
		124120,	--	Leyblood
		123918,	--	Leystone Ore
		36905,	--	Lichbloom
		3357,	--	Liferoot
		12803,	--	Living Essence
		785,	--	Mageroyal
		22793,	--	Mana Thistle
		19943,	--	Massive Mojo
		3860,	--	Mithril Bar
		3858,	--	Mithril Ore
		36930,	--	Monarch Topaz
		124108,	--	Mossgill Perch
		22573,	--	Mote of Earth
		22574,	--	Mote of Fire
		22578,	--	Mote of Water
		13465,	--	Mountain Silversage
		109128,	--	Nagrand Arrowbloom
		30183,	--	Nether Vortex
		22791,	--	Netherbloom
		22792,	--	Nightmare Vine
		52180,	--	Nightstone
		6358,	--	Oily Blackmouth
		137597,	--	Oily Transmutagen
		76136,	--	Pandarian Garnet
		2447,	--	Peacebloom
		12804,	--	Powerful Mojo
		22451,	--	Primal Air
		22452,	--	Primal Earth
		21884,	--	Primal Fire
		21886,	--	Primal Life
		22457,	--	Primal Mana
		23571,	--	Primal Might
		22456,	--	Primal Shadow
		21885,	--	Primal Water
		4342,	--	Purple Dye
		8831,	--	Purple Lotus
		40195,	--	Pygmy Oil
		40199,	--	Pygmy Suckerfish
		51950,	--	Pyrium Bar
		65892,	--	Pyrium-Laced Crystalline Vial
		22787,	--	Ragveil
		72237,	--	Rain Poppy
		76135,	--	Roguestone
		124111,	--	Runescale Koi
		65893,	--	Sands of Time
		36913,	--	Saronite Bar
		118472,	--	Savage Blood
		36918,	--	Scarlet Ruby
		23107,	--	Shadow Draenite
		124437,	--	Shal'dorei Silk
		5635,	--	Sharp Claw
		72235,	--	Silkweed
		765,	--	Silverleaf
		36924,	--	Sky Sapphire
		25868,	--	Skyfire Diamond
		4402,	--	Small Flame Sac
		79010,	--	Snow Lily
		113264,	--	Sorcerous Air
		113263,	--	Sorcerous Earth
		113261,	--	Sorcerous Fire
		113262,	--	Sorcerous Water
		13466,	--	Sorrowmoss
		83064,	--	Spinefish
		76061,	--	Spirit of Harmony
		109127,	--	Starflower
		124105,	--	Starlight Rose
		124113,	--	Stonehide Leather
		13422,	--	Stonescale Eel
		13423,	--	Stonescale Oil
		124110,	--	Stormray
		124115,	--	Stormscale
		52984,	--	Stormvine
		3820,	--	Stranglekelp
		8838,	--	Sungrass
		76134,	--	Sunstone
		2452,	--	Swiftthistle
		109129,	--	Talador Orchid
		36907,	--	Talandra's Rose
		22789,	--	Terocone
		12359,	--	Thorium Bar
		10620,	--	Thorium Ore
		36904,	--	Tiger Lily
		76130,	--	Tiger Opal
		72095,	--	Trillium Bar
		109119,	--	True Iron Ore
		58480,	--	Truegold
		52987,	--	Twilight Jasmine
		36927,	--	Twilight Opal
		124438,	--	Unbroken Claw
		124439,	--	Unbroken Tooth
		76140,	--	Vermilion Onyx
		137595,	--	Viscous Transmutagen
		52328,	--	Volatile Air
		52327,	--	Volatile Earth
		52325,	--	Volatile Fire
		52329,	--	Volatile Life
		52326,	--	Volatile Water
		52988,	--	Whiptail
		76139,	--	Wild Jade
		3355,	--	Wild Steelbloom
		124121,	--	Wildfowl Egg
		8153,	--	Wildvine
		128304,	--	Yseralline Seed
		52178,	--	Zephyrite
};
