﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Enchanting.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Enchanting(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Enchanting) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Enchanting(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Enchanting) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Enchanting = {
	34057,	--	Abyss Crystal
	22445,	--	Arcane Dust
	124440,	--	Arkhana
	124124,	--	Blood of Sargeras
	80433,	--	Blood Spirit
	124442,	--	Chaos Crystal
	109693,	--	Draenic Dust
	11176,	--	Dream Dust
	34052,	--	Dream Shard
	12810,	--	Enchanted Leather
	12655,	--	Enchanted Thorium Bar
	74247,	--	Ethereal Shard
	115504,	--	Fractured Temporal Crystal
	11082,	--	Greater Astral Essence
	52719,	--	Greater Celestial Essence
	34055,	--	Greater Cosmic Essence
	16203,	--	Greater Eternal Essence
	10939,	--	Greater Magic Essence
	11135,	--	Greater Mystic Essence
	11175,	--	Greater Nether Essence
	22446,	--	Greater Planar Essence
	94289,	--	Haunting Spirit
	52721,	--	Heavenly Shard
	52555,	--	Hypnotic Dust
	16204,	--	Illusion Dust
	34054,	--	Infinite Dust
	14344,	--	Large Brilliant Shard
	11084,	--	Large Glimmering Shard
	11139,	--	Large Glowing Shard
	22449,	--	Large Prismatic Shard
	11178,	--	Large Radiant Shard
	10998,	--	Lesser Astral Essence
	52718,	--	Lesser Celestial Essence
	34056,	--	Lesser Cosmic Essence
	16202,	--	Lesser Eternal Essence
	10938,	--	Lesser Magic Essence
	11134,	--	Lesser Mystic Essence
	11174,	--	Lesser Nether Essence
	22447,	--	Lesser Planar Essence
	124441,	--	Leylight Shard
	111245,	--	Luminous Shard
	52722,	--	Maelstrom Crystal
	74250,	--	Mysterious Essence
	20725,	--	Nexus Crystal
	74248,	--	Sha Crystal
	105718,	--	Sha Crystal Fragment
	14343,	--	Small Brilliant Shard
	34053,	--	Small Dream Shard
	74252,	--	Small Ethereal Shard
	10978,	--	Small Glimmering Shard
	11138,	--	Small Glowing Shard
	52720,	--	Small Heavenly Shard
	115502,	--	Small Luminous Shard
	22448,	--	Small Prismatic Shard
	11177,	--	Small Radiant Shard
	11083,	--	Soul Dust
	74249,	--	Spirit Dust
	102218,	--	Spirit of War
	10940,	--	Strange Dust
	113588,	--	Temporal Crystal
	11137,	--	Vision Dust
	22450,	--	Void Crystal
};

SmexyMats.ItemsFor_Enchanting = {
	34057,	--	Abyss Crystal
	7909,	--	Aquamarine
	22445,	--	Arcane Dust
	124440,	--	Arkhana
	6370,	--	Blackmouth Oil
	124124,	--	Blood of Sargeras
	124442,	--	Chaos Crystal
	3371,	--	Crystal Vial
	37705,	--	Crystallized Water
	109693,	--	Draenic Dust
	3819,	--	Dragon's Teeth
	11176,	--	Dream Dust
	34052,	--	Dream Shard
	7067,	--	Elemental Earth
	7082,	--	Essence of Air
	7076,	--	Essence of Earth
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	7080,	--	Essence of Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35622,	--	Eternal Water
	23427,	--	Eternium Ore
	44958,	--	Ethereal Oil
	74247,	--	Ethereal Shard
	22794,	--	Fel Lotus
	124116,	--	Felhide
	124106,	--	Felwort
	4625,	--	Firebloom
	13926,	--	Golden Pearl
	11082,	--	Greater Astral Essence
	52719,	--	Greater Celestial Essence
	34055,	--	Greater Cosmic Essence
	16203,	--	Greater Eternal Essence
	10939,	--	Greater Magic Essence
	11135,	--	Greater Mystic Essence
	11175,	--	Greater Nether Essence
	22446,	--	Greater Planar Essence
	7392,	--	Green Whelp Scale
	52721,	--	Heavenly Shard
	52555,	--	Hypnotic Dust
	13467,	--	Icecap
	16204,	--	Illusion Dust
	76141,	--	Imperial Amethyst
	124444,	--	Infernal Brimstone
	34054,	--	Infinite Dust
	2772,	--	Iron Ore
	3356,	--	Kingsblood
	14344,	--	Large Brilliant Shard
	5637,	--	Large Fang
	11084,	--	Large Glimmering Shard
	11139,	--	Large Glowing Shard
	22449,	--	Large Prismatic Shard
	11178,	--	Large Radiant Shard
	10998,	--	Lesser Astral Essence
	52718,	--	Lesser Celestial Essence
	34056,	--	Lesser Cosmic Essence
	16202,	--	Lesser Eternal Essence
	10938,	--	Lesser Magic Essence
	11134,	--	Lesser Mystic Essence
	11174,	--	Lesser Nether Essence
	22447,	--	Lesser Planar Essence
	124441,	--	Leylight Shard
	39354,	--	Light Parchment
	12803,	--	Living Essence
	111245,	--	Luminous Shard
	52722,	--	Maelstrom Crystal
	74250,	--	Mysterious Essence
	22791,	--	Netherbloom
	20725,	--	Nexus Crystal
	22792,	--	Nightmare Vine
	22451,	--	Primal Air
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	21886,	--	Primal Life
	22457,	--	Primal Mana
	23571,	--	Primal Might
	22456,	--	Primal Shadow
	120945,	--	Primal Spirit
	21885,	--	Primal Water
	76131,	--	Primordial Ruby
	8831,	--	Purple Lotus
	12811,	--	Righteous Orb
	76138,	--	River's Heart
	8170,	--	Rugged Leather
	118472,	--	Savage Blood
	36918,	--	Scarlet Ruby
	74248,	--	Sha Crystal
	4470,	--	Simple Wood
	14343,	--	Small Brilliant Shard
	10978,	--	Small Glimmering Shard
	11138,	--	Small Glowing Shard
	22448,	--	Small Prismatic Shard
	11177,	--	Small Radiant Shard
	113264,	--	Sorcerous Air
	113263,	--	Sorcerous Earth
	113261,	--	Sorcerous Fire
	113262,	--	Sorcerous Water
	11083,	--	Soul Dust
	74249,	--	Spirit Dust
	11291,	--	Star Wood
	10940,	--	Strange Dust
	8838,	--	Sungrass
	76142,	--	Sun's Radiance
	113588,	--	Temporal Crystal
	12359,	--	Thorium Bar
	41163,	--	Titanium Bar
	37663,	--	Titansteel Bar
	6037,	--	Truesilver Bar
	76140,	--	Vermilion Onyx
	11137,	--	Vision Dust
	22450,	--	Void Crystal
	52328,	--	Volatile Air
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	52329,	--	Volatile Life
	52326,	--	Volatile Water
	76139,	--	Wild Jade
	8153,	--	Wildvine
};