﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Blacksmithing.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Blacksmithing(iID) 
	for k, v in pairs(SmexyMats.ItemsFrom_Blacksmithing) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

function SmexyMats:IsFor_Blacksmithing(iID) 
	for k, v in pairs(SmexyMats.ItemsFor_Blacksmithing) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end; 

SmexyMats.ItemsFrom_Blacksmithing = {
	146714,	--	Hammer of Forgotten Kings
	98717,	--	Balanced Trillium Ingot
	3478,	--	Coarse Grinding Stone
	124461,	--	Demonsteel Bar
	12644,	--	Dense Grinding Stone
	65365,	--	Folded Obsidium
	3486,	--	Heavy Grinding Stone
	9060,	--	Inlaid Mithril Cylinder
	7071,	--	Iron Buckle
	94111,	--	Lightning Steel Ingot
	3470,	--	Rough Grinding Stone
	7966,	--	Solid Grinding Stone
	108257,	--	Truesteel Ingot
	
	--Legion Items
		136685,	--	Consecrated Spike
		124452,	--	Brimstone Slag
		124453,	--	Brimstone-Covered Armguards
		124454,	--	Brimstone-Crusted Armguards
		123917,	--	Demonsteel Armguards
		123911,	--	Demonsteel Boots
		123910,	--	Demonsteel Breastplate
		123912,	--	Demonsteel Gauntlets
		123914,	--	Demonsteel Greaves
		123913,	--	Demonsteel Helm
		123915,	--	Demonsteel Pauldrons
		136708,	--	Demonsteel Stirrups
		123916,	--	Demonsteel Waistguard
		124396,	--	Dull Hard Leystone Armguards
		124450,	--	Engraved Leystone Armguards
		136686,	--	Flamespike
		136684,	--	Gleaming Iron Spike
		124049,	--	Handcrafted Leystone Gauntlets
		124433,	--	Handmade Leystone Boots
		124434,	--	Handmade Leystone Helm
		124397,	--	Hard Leystone Armguards
		124394,	--	Hard Leystone Bar
		124419,	--	Hard Leystone Bar
		124422,	--	Hard Leystone Ingot
		124424,	--	Hard Leystone Nail
		124395,	--	Heated Hard Leystone Bar
		124423,	--	Heated Hard Leystone Ingot
		128777,	--	Heated Leystone Bar
		124407,	--	Large Heated Metal Scrap
		123898,	--	Leystone Armguards
		124007,	--	Leystone Bar
		123892,	--	Leystone Boots
		123891,	--	Leystone Breastplate
		124009,	--	Leystone Cuffplate
		124432,	--	Leystone Dome
		124431,	--	Leystone Faceguard
		124010,	--	Leystone Fingerguard
		124429,	--	Leystone Footguard
		123893,	--	Leystone Gauntlets
		123895,	--	Leystone Greaves
		124428,	--	Leystone Heelguard
		123894,	--	Leystone Helm
		123956,	--	Leystone Hoofplates
		124435,	--	Leystone Neckplate
		123896,	--	Leystone Pauldrons
		124420,	--	Leystone Shard
		124427,	--	Leystone Shinplate
		124006,	--	Leystone Slag
		124393,	--	Leystone Slag
		124418,	--	Leystone Slag
		124430,	--	Leystone Soleplate
		123897,	--	Leystone Waistguard
		124421,	--	Lump of Leystone Slag
		124455,	--	Masterwork Leystone Armguards
		124406,	--	Medium Heated Metal Scrap
		124426,	--	Red-Hot Leystone Bar
		146667,	--	Rethu's Incessant Courage
		124411,	--	Scrapmetal Cuffplate
		124408,	--	Scrapmetal Fingerplates
		124410,	--	Scrapmetal Handguard
		124409,	--	Scrapmetal Palmplate
		124405,	--	Small Heated Metal Scrap
		137686,	--	Steelbound Harness
		136683,	--	Terrorspike
		
	--7.3
		151925,	--	Empyrial Back Plate
		151576,	--	Empyrial Breastplate
		151872,	--	Empyrial Breastplate
		151924,	--	Empyrial Chest Plate
		151923,	--	Empyrial Rivet
		151239,	--	Felslate Anchor


	--WoD Items
		127713,	--	Mighty Steelforged Essence
		127714,	--	Mighty Truesteel Essence
		127731,	--	Savage Steelforged Essence
		127732,	--	Savage Truesteel Essence
		118720,	--	Secret of Draenor Blacksmithing
		116427,	--	Smoldering Breastplate
		116425,	--	Smoldering Greaves
		116426,	--	Smoldering Helm
		119328,	--	Soul of the Forge
		120261,	--	Steelforged Aegis
		120259,	--	Steelforged Axe
		116644,	--	Steelforged Dagger
		128016,	--	Steelforged Essence
		116453,	--	Steelforged Greataxe
		116646,	--	Steelforged Hammer
		116454,	--	Steelforged Saber
		116647,	--	Steelforged Shield
		114236,	--	Truesteel Armguards
		114235,	--	Truesteel Boots
		114232,	--	Truesteel Breastplate
		128015,	--	Truesteel Essence
		114237,	--	Truesteel Gauntlets
		114234,	--	Truesteel Greaves
		116654,	--	Truesteel Grinder
		114230,	--	Truesteel Helm
		114231,	--	Truesteel Pauldrons
		116428,	--	Truesteel Reshaper
		114233,	--	Truesteel Waistguard

	-- MoP Items
		98607,	--	Avenger's Trillium Legplates
		98616,	--	Avenger's Trillium Waistplate
		94577,	--	Black Planar Edge, Reborn
		94591,	--	Blazefury, Reborn
		94589,	--	Blazeguard, Reborn
		98611,	--	Blessed Trillium Belt
		98602,	--	Blessed Trillium Greaves
		87407,	--	Bloodforged Warfists
		94580,	--	Bloodmoon, Reborn
		82979,	--	Breastplate of Ancient Steel
		87403,	--	Chestplate of Limitless Faith
		82950,	--	Contender's Revenant Belt
		82949,	--	Contender's Revenant Boots
		82948,	--	Contender's Revenant Bracers
		82945,	--	Contender's Revenant Breastplate
		82946,	--	Contender's Revenant Gauntlets
		82943,	--	Contender's Revenant Helm
		82947,	--	Contender's Revenant Legplates
		82944,	--	Contender's Revenant Shoulders
		82958,	--	Contender's Spirit Belt
		82957,	--	Contender's Spirit Boots
		82956,	--	Contender's Spirit Bracers
		82953,	--	Contender's Spirit Breastplate
		82954,	--	Contender's Spirit Gauntlets
		82951,	--	Contender's Spirit Helm
		82955,	--	Contender's Spirit Legplates
		82952,	--	Contender's Spirit Shoulders
		93548,	--	Crafted Dreadful Gladiator's Armplates of Alacrity
		93547,	--	Crafted Dreadful Gladiator's Armplates of Proficiency
		93537,	--	Crafted Dreadful Gladiator's Bracers of Meditation
		93536,	--	Crafted Dreadful Gladiator's Bracers of Prowess
		93532,	--	Crafted Dreadful Gladiator's Clasp of Cruelty
		93533,	--	Crafted Dreadful Gladiator's Clasp of Meditation
		93453,	--	Crafted Dreadful Gladiator's Dreadplate Chestpiece
		93454,	--	Crafted Dreadful Gladiator's Dreadplate Gauntlets
		93455,	--	Crafted Dreadful Gladiator's Dreadplate Helm
		93456,	--	Crafted Dreadful Gladiator's Dreadplate Legguards
		93457,	--	Crafted Dreadful Gladiator's Dreadplate Shoulders
		93543,	--	Crafted Dreadful Gladiator's Girdle of Accuracy
		93544,	--	Crafted Dreadful Gladiator's Girdle of Prowess
		93534,	--	Crafted Dreadful Gladiator's Greaves of Alacrity
		93535,	--	Crafted Dreadful Gladiator's Greaves of Meditation
		93538,	--	Crafted Dreadful Gladiator's Ornamented Chestguard
		93539,	--	Crafted Dreadful Gladiator's Ornamented Gloves
		93540,	--	Crafted Dreadful Gladiator's Ornamented Headcover
		93541,	--	Crafted Dreadful Gladiator's Ornamented Legplates
		93542,	--	Crafted Dreadful Gladiator's Ornamented Spaulders
		93620,	--	Crafted Dreadful Gladiator's Plate Chestpiece
		93621,	--	Crafted Dreadful Gladiator's Plate Gauntlets
		93622,	--	Crafted Dreadful Gladiator's Plate Helm
		93623,	--	Crafted Dreadful Gladiator's Plate Legguards
		93624,	--	Crafted Dreadful Gladiator's Plate Shoulders
		93527,	--	Crafted Dreadful Gladiator's Scaled Chestpiece
		93528,	--	Crafted Dreadful Gladiator's Scaled Gauntlets
		93529,	--	Crafted Dreadful Gladiator's Scaled Helm
		93530,	--	Crafted Dreadful Gladiator's Scaled Legguards
		93531,	--	Crafted Dreadful Gladiator's Scaled Shoulders
		93546,	--	Crafted Dreadful Gladiator's Warboots of Alacrity
		93545,	--	Crafted Dreadful Gladiator's Warboots of Cruelty
		98864,	--	Crafted Malevolent Gladiator's Armplates of Alacrity
		98863,	--	Crafted Malevolent Gladiator's Armplates of Proficiency
		98776,	--	Crafted Malevolent Gladiator's Barrier
		98853,	--	Crafted Malevolent Gladiator's Bracers of Meditation
		98852,	--	Crafted Malevolent Gladiator's Bracers of Prowess
		98848,	--	Crafted Malevolent Gladiator's Clasp of Cruelty
		98849,	--	Crafted Malevolent Gladiator's Clasp of Meditation
		98784,	--	Crafted Malevolent Gladiator's Dreadplate Chestpiece
		98785,	--	Crafted Malevolent Gladiator's Dreadplate Gauntlets
		98786,	--	Crafted Malevolent Gladiator's Dreadplate Helm
		98787,	--	Crafted Malevolent Gladiator's Dreadplate Legguards
		98788,	--	Crafted Malevolent Gladiator's Dreadplate Shoulders
		98859,	--	Crafted Malevolent Gladiator's Girdle of Accuracy
		98860,	--	Crafted Malevolent Gladiator's Girdle of Prowess
		98850,	--	Crafted Malevolent Gladiator's Greaves of Alacrity
		98851,	--	Crafted Malevolent Gladiator's Greaves of Meditation
		98854,	--	Crafted Malevolent Gladiator's Ornamented Chestguard
		98855,	--	Crafted Malevolent Gladiator's Ornamented Gloves
		98856,	--	Crafted Malevolent Gladiator's Ornamented Headcover
		98857,	--	Crafted Malevolent Gladiator's Ornamented Legplates
		98858,	--	Crafted Malevolent Gladiator's Ornamented Spaulders
		98926,	--	Crafted Malevolent Gladiator's Plate Chestpiece
		98927,	--	Crafted Malevolent Gladiator's Plate Gauntlets
		98928,	--	Crafted Malevolent Gladiator's Plate Helm
		98929,	--	Crafted Malevolent Gladiator's Plate Legguards
		98930,	--	Crafted Malevolent Gladiator's Plate Shoulders
		98810,	--	Crafted Malevolent Gladiator's Redoubt
		98843,	--	Crafted Malevolent Gladiator's Scaled Chestpiece
		98844,	--	Crafted Malevolent Gladiator's Scaled Gauntlets
		98845,	--	Crafted Malevolent Gladiator's Scaled Helm
		98846,	--	Crafted Malevolent Gladiator's Scaled Legguards
		98847,	--	Crafted Malevolent Gladiator's Scaled Shoulders
		98920,	--	Crafted Malevolent Gladiator's Shield Wall
		98862,	--	Crafted Malevolent Gladiator's Warboots of Alacrity
		98861,	--	Crafted Malevolent Gladiator's Warboots of Cruelty
		95359,	--	Decorative Spoons
		94583,	--	Deep Thunder, Reborn
		94584,	--	Dragonmaw, Reborn
		94585,	--	Dragonstrike, Reborn
		94581,	--	Drakefist Hammer, Reborn
		94587,	--	Fireguard, Reborn
		82963,	--	Forgewire Axe
		82980,	--	Gauntlets of Ancient Steel
		87406,	--	Gauntlets of Battle Command
		87404,	--	Gauntlets of Unbound Devotion
		95363,	--	Ghost Iron Barrel
		95369,	--	Ghost Iron Bells
		95368,	--	Ghost Iron Bowls
		95370,	--	Ghost Iron Crate
		95367,	--	Ghost Iron Cups
		95484,	--	Ghost Iron Frames
		95357,	--	Ghost Iron Hook
		95355,	--	Ghost Iron Ladle
		95362,	--	Ghost Iron Needles
		95485,	--	Ghost Iron Pans
		95483,	--	Ghost Iron Picks
		95351,	--	Ghost Iron Pins
		95356,	--	Ghost Iron Poker
		95366,	--	Ghost Iron Pot
		95364,	--	Ghost Iron Saw
		86599,	--	Ghost Iron Shield Spike
		95361,	--	Ghost Iron Spade
		95358,	--	Ghost Iron Spatulas
		95486,	--	Ghost Iron Statue
		95365,	--	Ghost Iron Wire
		95354,	--	Ghost Iron Wok
		82975,	--	Ghost Reaver's Breastplate
		82976,	--	Ghost Reaver's Gauntlets
		82967,	--	Ghost Shard
		82934,	--	Ghost-Forged Belt
		82910,	--	Ghost-Forged Belt
		82964,	--	Ghost-Forged Blade
		82933,	--	Ghost-Forged Boots
		82909,	--	Ghost-Forged Boots
		82932,	--	Ghost-Forged Bracers
		82908,	--	Ghost-Forged Bracers
		82929,	--	Ghost-Forged Breastplate
		82905,	--	Ghost-Forged Breastplate
		82930,	--	Ghost-Forged Gauntlets
		82906,	--	Ghost-Forged Gauntlets
		82927,	--	Ghost-Forged Helm
		82903,	--	Ghost-Forged Helm
		82931,	--	Ghost-Forged Legplates
		82907,	--	Ghost-Forged Legplates
		82928,	--	Ghost-Forged Shoulders
		82904,	--	Ghost-Forged Shoulders
		82960,	--	Ghostly Skeleton Key
		94266,	--	Haunted Steel Greathelm
		94263,	--	Haunted Steel Greaves
		94264,	--	Haunted Steel Headcover
		94268,	--	Haunted Steel Headguard
		94265,	--	Haunted Steel Treads
		94267,	--	Haunted Steel Warboots
		82961,	--	Lightsteel Shield
		94588,	--	Lionheart Blade, Reborn
		94590,	--	Lionheart Champion, Reborn
		94592,	--	Lionheart Executioner, Reborn
		90046,	--	Living Steel Belt Buckle
		82977,	--	Living Steel Breastplate
		82978,	--	Living Steel Gauntlets
		86597,	--	Living Steel Weapon Chain
		94576,	--	Lunar Crescent, Reborn
		82970,	--	Masterwork Forgewire Axe
		82974,	--	Masterwork Ghost Shard
		82971,	--	Masterwork Ghost-Forged Blade
		82968,	--	Masterwork Lightsteel Shield
		82972,	--	Masterwork Phantasmal Hammer
		82973,	--	Masterwork Spiritblade Decimator
		82926,	--	Masterwork Spiritguard Belt
		82925,	--	Masterwork Spiritguard Boots
		82924,	--	Masterwork Spiritguard Bracers
		82921,	--	Masterwork Spiritguard Breastplate
		82922,	--	Masterwork Spiritguard Gauntlets
		82919,	--	Masterwork Spiritguard Helm
		82923,	--	Masterwork Spiritguard Legplates
		82969,	--	Masterwork Spiritguard Shield
		82920,	--	Masterwork Spiritguard Shoulders
		94578,	--	Mooncleaver, Reborn
		87402,	--	Ornate Battleplate of the Master
		82965,	--	Phantasmal Hammer
		98606,	--	Protector's Trillium Legguards
		98615,	--	Protector's Trillium Waistguard
		95353,	--	Simple Eating Utensils
		82966,	--	Spiritblade Decimator
		82962,	--	Spiritguard Shield
		94586,	--	Stormherald, Reborn
		94575,	--	The Planar Edge, Reborn
		94582,	--	Thunder, Reborn
		87405,	--	Unyielding Bloodplate
		94579,	--	Wicked Edge of the Planes, Reborn
		
	--Cataclysm Items
		71992,	--	Bracers of Destructive Strength
		70155,	--	Brainsplinter
		55044,	--	Cold-Forged Shank
		55043,	--	Decapitator's Razor
		55054,	--	Ebonsteel Belt Buckle
		55067,	--	Elementium Bonesplitter
		55060,	--	Elementium Deathplate
		55069,	--	Elementium Earthguard
		55061,	--	Elementium Girdle of Pain
		67602,	--	Elementium Gutslicer
		55065,	--	Elementium Hammer
		55066,	--	Elementium Poleaxe
		55068,	--	Elementium Shank
		55055,	--	Elementium Shield Spike
		55064,	--	Elementium Spellblade
		55070,	--	Elementium Stormshield
		70158,	--	Elementium-Edged Scalper
		69948,	--	Emberforged Elementium Boots
		69937,	--	Eternal Elementium Handguards
		55045,	--	Fire-Etched Dagger
		69936,	--	Fists of Fury
		67605,	--	Forged Elementium Mindcrusher
		71984,	--	Foundations of Courage
		55059,	--	Hardened Elementium Girdle
		55058,	--	Hardened Elementium Hauberk
		54853,	--	Hardened Obsidium Belt
		54854,	--	Hardened Obsidium Boots
		54850,	--	Hardened Obsidium Bracers
		55024,	--	Hardened Obsidium Breastplate
		54852,	--	Hardened Obsidium Gauntlets
		55023,	--	Hardened Obsidium Helm
		55022,	--	Hardened Obsidium Legguards
		55041,	--	Hardened Obsidium Shield
		54876,	--	Hardened Obsidium Shoulders
		69938,	--	Holy Flame Gauntlets
		55046,	--	Lifeforce Hammer
		55063,	--	Light Elementium Belt
		55062,	--	Light Elementium Chestguard
		70157,	--	Lightforged Elementium Hammer
		70164,	--	Masterwork Elementium Deathblade
		70156,	--	Masterwork Elementium Spellblade
		69947,	--	Mirrored Boots
		55246,	--	Obsidium Bladespear
		55052,	--	Obsidium Executioner
		55053,	--	Obsidium Skeleton Key
		71982,	--	Pyrium Legplates of Purified Evil
		55056,	--	Pyrium Shield Spike
		70162,	--	Pyrium Spellward
		55057,	--	Pyrium Weapon Chain
		55027,	--	Redsteel Belt
		55028,	--	Redsteel Boots
		55025,	--	Redsteel Bracers
		55032,	--	Redsteel Breastplate
		55026,	--	Redsteel Gauntlets
		55031,	--	Redsteel Helm
		55030,	--	Redsteel Legguards
		55029,	--	Redsteel Shoulders
		71991,	--	Soul Redeemer Bracers
		55035,	--	Stormforged Belt
		55036,	--	Stormforged Boots
		55033,	--	Stormforged Bracers
		55040,	--	Stormforged Breastplate
		55034,	--	Stormforged Gauntlets
		55039,	--	Stormforged Helm
		55038,	--	Stormforged Legguards
		55042,	--	Stormforged Shield
		55037,	--	Stormforged Shoulders
		71993,	--	Titanguard Wristplates
		70163,	--	Unbreakable Guardian
		71983,	--	Unstoppable Destroyer's Legplates
		75118,	--	Vicious Ornate Pyrium Belt
		75132,	--	Vicious Ornate Pyrium Boots
		75125,	--	Vicious Ornate Pyrium Bracers
		75128,	--	Vicious Ornate Pyrium Breastplate
		75121,	--	Vicious Ornate Pyrium Gauntlets
		75129,	--	Vicious Ornate Pyrium Helm
		75133,	--	Vicious Ornate Pyrium Legguards
		75134,	--	Vicious Ornate Pyrium Shoulders
		75123,	--	Vicious Pyrium Belt
		75120,	--	Vicious Pyrium Boots
		75124,	--	Vicious Pyrium Bracers
		75135,	--	Vicious Pyrium Breastplate
		75122,	--	Vicious Pyrium Gauntlets
		75126,	--	Vicious Pyrium Helm
		75136,	--	Vicious Pyrium Legguards
		75119,	--	Vicious Pyrium Shoulders
		69946,	--	Warboots of Mighty Lords
		70165,	--	Witch-Hunter's Harvester

	--WotLK
		45559,	--	Battlelord's Plate Boots
		45550,	--	Belt of the Titans
		49907,	--	Boots of Kingly Upheaval
		47591,	--	Breastplate of the White Knight
		47592,	--	Breastplate of the White Knight
		43860,	--	Brilliant Saronite Belt
		41128,	--	Brilliant Saronite Boots
		43864,	--	Brilliant Saronite Bracers
		41129,	--	Brilliant Saronite Breastplate
		41127,	--	Brilliant Saronite Gauntlets
		43870,	--	Brilliant Saronite Helm
		41126,	--	Brilliant Saronite Legplates
		43865,	--	Brilliant Saronite Pauldrons
		41388,	--	Brilliant Titansteel Helm
		41394,	--	Brilliant Titansteel Treads
		41189,	--	Chestplate of Conquest
		39087,	--	Cobalt Belt
		39088,	--	Cobalt Boots
		41974,	--	Cobalt Bracers
		39085,	--	Cobalt Chestpiece
		41975,	--	Cobalt Gauntlets
		39084,	--	Cobalt Helm
		39086,	--	Cobalt Legplates
		39083,	--	Cobalt Shoulders
		43854,	--	Cobalt Skeleton Key
		41240,	--	Cobalt Tenderizer
		40668,	--	Cobalt Triangle Shield
		41186,	--	Corroded Saronite Edge
		41187,	--	Corroded Saronite Woundbringer
		42443,	--	Cudgel of Saronite Justice
		41357,	--	Daunting Handguards
		41345,	--	Daunting Legplates
		41611,	--	Eternal Belt Buckle
		41242,	--	Forged Cobalt Claymore
		41185,	--	Furious Saronite Beatstick
		49906,	--	Hellfrozen Bonegrinders
		41344,	--	Helm of Command
		41181,	--	Honed Cobalt Cleaver
		40955,	--	Horned Cobalt Helm
		43586,	--	Icebane Chestguard
		43587,	--	Icebane Girdle
		43588,	--	Icebane Treads
		45551,	--	Indestructible Plate Girdle
		41190,	--	Legplates of Conquest
		49903,	--	Legplates of Painful Death
		41243,	--	Notched Cobalt War Axe
		42723,	--	Ornate Saronite Bracers
		42724,	--	Ornate Saronite Gauntlets
		42725,	--	Ornate Saronite Hauberk
		42726,	--	Ornate Saronite Legplates
		42727,	--	Ornate Saronite Pauldrons
		42728,	--	Ornate Saronite Skullshield
		42729,	--	Ornate Saronite Waistguard
		42730,	--	Ornate Saronite Walkers
		49904,	--	Pillars of Might
		45552,	--	Plate Girdle of Righteousness
		49905,	--	Protectors of Life
		49902,	--	Puresteel Legplates
		40959,	--	Reinforced Cobalt Chestpiece
		40957,	--	Reinforced Cobalt Helm
		40958,	--	Reinforced Cobalt Legplates
		40956,	--	Reinforced Cobalt Shoulders
		41356,	--	Righteous Gauntlets
		41346,	--	Righteous Greaves
		41183,	--	Saronite Ambusher
		41113,	--	Saronite Bulwark
		40670,	--	Saronite Defender
		41188,	--	Saronite Mindcrusher
		41117,	--	Saronite Protector
		41184,	--	Saronite Shiv
		43871,	--	Saronite Spellblade
		47571,	--	Saronite Swordbreakers
		47570,	--	Saronite Swordbreakers
		41182,	--	Savage Cobalt Slicer
		41354,	--	Savage Saronite Bracers
		41349,	--	Savage Saronite Gauntlets
		41353,	--	Savage Saronite Hauberk
		41347,	--	Savage Saronite Legplates
		41351,	--	Savage Saronite Pauldrons
		41350,	--	Savage Saronite Skullshield
		41352,	--	Savage Saronite Waistguard
		41348,	--	Savage Saronite Walkers
		40953,	--	Spiked Cobalt Belt
		40949,	--	Spiked Cobalt Boots
		40954,	--	Spiked Cobalt Bracers
		40951,	--	Spiked Cobalt Chestpiece
		40952,	--	Spiked Cobalt Gauntlets
		40942,	--	Spiked Cobalt Helm
		40943,	--	Spiked Cobalt Legplates
		40950,	--	Spiked Cobalt Shoulders
		45560,	--	Spiked Deathdealers
		41386,	--	Spiked Titansteel Helm
		41391,	--	Spiked Titansteel Treads
		41239,	--	Sturdy Cobalt Quickblade
		47574,	--	Sunforged Bracers
		47575,	--	Sunforged Bracers
		47593,	--	Sunforged Breastplate
		47594,	--	Sunforged Breastplate
		40669,	--	Tempered Saronite Belt
		40671,	--	Tempered Saronite Boots
		41116,	--	Tempered Saronite Bracers
		40672,	--	Tempered Saronite Breastplate
		41114,	--	Tempered Saronite Gauntlets
		40673,	--	Tempered Saronite Helm
		40674,	--	Tempered Saronite Legplates
		40675,	--	Tempered Saronite Shoulders
		41387,	--	Tempered Titansteel Helm
		41392,	--	Tempered Titansteel Treads
		44936,	--	Titanium Plating
		47589,	--	Titanium Razorplate
		47590,	--	Titanium Razorplate
		42500,	--	Titanium Shield Spike
		43853,	--	Titanium Skeleton Key
		47572,	--	Titanium Spikeguards
		47573,	--	Titanium Spikeguards
		41976,	--	Titanium Weapon Chain
		41383,	--	Titansteel Bonecrusher
		41257,	--	Titansteel Destroyer
		41384,	--	Titansteel Guardian
		42435,	--	Titansteel Shanker
		42508,	--	Titansteel Shield Wall
		45085,	--	Titansteel Spellblade
		45561,	--	Treads of Destiny
		41355,	--	Vengeance Bindings
	
	--TBC
		23507,	--	Adamantite Breastplate
		23503,	--	Adamantite Cleaver
		23504,	--	Adamantite Dagger
		23502,	--	Adamantite Maul
		23506,	--	Adamantite Plate Bracers
		23508,	--	Adamantite Plate Gloves
		23505,	--	Adamantite Rapier
		23529,	--	Adamantite Sharpening Stone
		33185,	--	Adamantite Weapon Chain
		28421,	--	Adamantite Weightstone
		30034,	--	Belt of the Guardian
		23537,	--	Black Felsteel Bracers
		28432,	--	Black Planar Edge
		28427,	--	Blazefury
		28426,	--	Blazeguard
		23539,	--	Blessed Bracers
		28436,	--	Bloodmoon
		30033,	--	Boots of the Protector
		23538,	--	Bracers of the Green Fortress
		28483,	--	Breastplate of Kings
		28484,	--	Bulwark of Kings
		28485,	--	Bulwark of the Ancient Kings
		32571,	--	Dawnsteel Bracers
		32573,	--	Dawnsteel Shoulders
		28441,	--	Deep Thunder
		23555,	--	Dirge
		28438,	--	Dragonmaw
		28439,	--	Dragonstrike
		28437,	--	Drakefist Hammer
		30069,	--	Earthforged Leggings
		23527,	--	Earthpeace Breastplate
		23565,	--	Embrace of the Twisting Nether
		23510,	--	Enchanted Adamantite Belt
		23511,	--	Enchanted Adamantite Boots
		23509,	--	Enchanted Adamantite Breastplate
		23512,	--	Enchanted Adamantite Leggings
		23554,	--	Eternium Runed Blade
		23542,	--	Fel Edged Battleaxe
		23546,	--	Fel Hardened Maul
		23489,	--	Fel Iron Breastplate
		23494,	--	Fel Iron Chain Bracers
		23493,	--	Fel Iron Chain Coif
		23491,	--	Fel Iron Chain Gloves
		23490,	--	Fel Iron Chain Tunic
		23499,	--	Fel Iron Greatsword
		23498,	--	Fel Iron Hammer
		23497,	--	Fel Iron Hatchet
		23484,	--	Fel Iron Plate Belt
		23487,	--	Fel Iron Plate Boots
		23482,	--	Fel Iron Plate Gloves
		23488,	--	Fel Iron Plate Pants
		23528,	--	Fel Sharpening Stone
		28420,	--	Fel Weightstone
		23531,	--	Felfury Gauntlets
		23517,	--	Felsteel Gloves
		23519,	--	Felsteel Helm
		23518,	--	Felsteel Leggings
		23540,	--	Felsteel Longblade
		23543,	--	Felsteel Reaper
		23530,	--	Felsteel Shield Spike
		28425,	--	Fireguard
		23515,	--	Flamebane Bracers
		23513,	--	Flamebane Breastplate
		23514,	--	Flamebane Gloves
		23516,	--	Flamebane Helm
		23532,	--	Gauntlets of the Iron Tower
		30093,	--	Great Earthforged Hammer
		25521,	--	Greater Rune of Warding
		23576,	--	Greater Ward of Shielding
		32854,	--	Hammer of Righteous Might
		23556,	--	Hand of Eternity
		34378,	--	Hard Khorium Battlefists
		34377,	--	Hard Khorium Battleplate
		33791,	--	Heavy Copper Longsword
		30074,	--	Heavy Earthforged Breastplate
		23535,	--	Helm of the Stalwart Defender
		31369,	--	Iceguard Breastplate
		31371,	--	Iceguard Helm
		31370,	--	Iceguard Leggings
		23524,	--	Khorium Belt
		23525,	--	Khorium Boots
		23541,	--	Khorium Champion
		23523,	--	Khorium Pants
		30089,	--	Lavaforged Warhammer
		23559,	--	Lesser Rune of Warding
		23575,	--	Lesser Ward of Shielding
		30071,	--	Light Earthforged Blade
		30073,	--	Light Emberforged Hammer
		30072,	--	Light Skyforged Axe
		28428,	--	Lionheart Blade
		28429,	--	Lionheart Champion
		28430,	--	Lionheart Executioner
		28434,	--	Lunar Crescent
		28435,	--	Mooncleaver
		23563,	--	Nether Plate Shirt
		23536,	--	Oathkeeper's Helm
		23522,	--	Ragesteel Breastplate
		23520,	--	Ragesteel Gloves
		23521,	--	Ragesteel Helm
		33173,	--	Ragesteel Shoulders
		30032,	--	Red Belt of Battle
		30031,	--	Red Havoc Boots
		23544,	--	Runic Hammer
		32403,	--	Shadesteel Bracers
		32401,	--	Shadesteel Girdle
		32404,	--	Shadesteel Greaves
		32402,	--	Shadesteel Sabots
		30088,	--	Skyforged Great Axe
		23533,	--	Steelgrip Gauntlets
		30086,	--	Stoneforged Claymore
		23534,	--	Storm Helm
		30087,	--	Stormforged Axe
		30076,	--	Stormforged Hauberk
		28442,	--	Stormherald
		34379,	--	Sunblessed Breastplate
		34380,	--	Sunblessed Gauntlets
		32568,	--	Swiftsteel Bracers
		23526,	--	Swiftsteel Gloves
		32570,	--	Swiftsteel Shoulders
		28431,	--	The Planar Edge
		28440,	--	Thunder
		23564,	--	Twisting Nether Plate Shirt
		28433,	--	Wicked Edge of the Planes
		31364,	--	Wildguard Breastplate
		31368,	--	Wildguard Helm
		31367,	--	Wildguard Leggings
		30070,	--	Windforged Leggings
		30077,	--	Windforged Rapier

	--Classic
		12798,	--	Annihilator
		12790,	--	Arcanite Champion
		12784,	--	Arcanite Reaper
		15872,	--	Arcanite Skeleton Key
		7916,	--	Barbaric Iron Boots
		7914,	--	Barbaric Iron Breastplate
		7917,	--	Barbaric Iron Gloves
		7915,	--	Barbaric Iron Helm
		7913,	--	Barbaric Iron Shoulders
		7945,	--	Big Black Mace
		3848,	--	Big Bronze Knife
		19166,	--	Black Amnesty
		22194,	--	Black Grasp of the Destroyer
		19167,	--	Blackfury
		19168,	--	Blackguard
		12777,	--	Blazing Rapier
		7959,	--	Blight
		19690,	--	Bloodsoul Breastplate
		19692,	--	Bloodsoul Gauntlets
		19691,	--	Bloodsoul Shoulders
		7942,	--	Blue Glittering Axe
		2849,	--	Bronze Axe
		7958,	--	Bronze Battle Axe
		7957,	--	Bronze Greatsword
		2848,	--	Bronze Mace
		2850,	--	Bronze Shortsword
		7956,	--	Bronze Warhammer
		2863,	--	Coarse Sharpening Stone
		3240,	--	Coarse Weightstone
		2845,	--	Copper Axe
		3488,	--	Copper Battle Axe
		2853,	--	Copper Bracers
		3471,	--	Copper Chain Vest
		7955,	--	Copper Claymore
		7166,	--	Copper Dagger
		2844,	--	Copper Mace
		2851,	--	Copper Plate Belt
		3469,	--	Copper Plate Boots
		2852,	--	Copper Plate Pants
		2847,	--	Copper Shortsword
		12782,	--	Corruption
		20039,	--	Dark Iron Boots
		17014,	--	Dark Iron Bracers
		17016,	--	Dark Iron Destroyer
		19164,	--	Dark Iron Gauntlets
		19148,	--	Dark Iron Helm
		17013,	--	Dark Iron Leggings
		11604,	--	Dark Iron Plate
		11606,	--	Dark Iron Plate
		11608,	--	Dark Iron Pulverizer
		17015,	--	Dark Iron Reaver
		11605,	--	Dark Iron Shoulders
		11607,	--	Dark Iron Sunderer
		20550,	--	Darkrune Breastplate
		20549,	--	Darkrune Gauntlets
		20551,	--	Darkrune Helm
		19693,	--	Darksoul Breastplate
		19694,	--	Darksoul Leggings
		19695,	--	Darksoul Shoulders
		12625,	--	Dawnbringer Shoulders
		12774,	--	Dawn's Edge
		7944,	--	Dazzling Mithril Rapier
		3490,	--	Deadly Bronze Poniard
		12628,	--	Demon Forged Breastplate
		12404,	--	Dense Sharpening Stone
		12643,	--	Dense Weightstone
		19170,	--	Ebon Hand
		7947,	--	Ebon Shiv
		17704,	--	Edge of Winter
		18262,	--	Elemental Sharpening Stone
		12776,	--	Enchanted Battlehammer
		12618,	--	Enchanted Thorium Breastplate
		12620,	--	Enchanted Thorium Helm
		12619,	--	Enchanted Thorium Leggings
		16989,	--	Fiery Chain Girdle
		16988,	--	Fiery Chain Shoulders
		12631,	--	Fiery Plate Gauntlets
		3854,	--	Frost Tiger Blade
		12797,	--	Frostguard
		3474,	--	Gemmed Copper Gauntlets
		19051,	--	Girdle of the Dawn
		12259,	--	Glinting Steel Dagger
		19057,	--	Gloves of the Dawn
		3852,	--	Golden Iron Destroyer
		3847,	--	Golden Scale Boots
		6040,	--	Golden Scale Bracers
		3837,	--	Golden Scale Coif
		3845,	--	Golden Scale Cuirass
		9366,	--	Golden Scale Gauntlets
		3843,	--	Golden Scale Leggings
		3841,	--	Golden Scale Shoulders
		15870,	--	Golden Skeleton Key
		3484,	--	Green Iron Boots
		3835,	--	Green Iron Bracers
		3485,	--	Green Iron Gauntlets
		3844,	--	Green Iron Hauberk
		3836,	--	Green Iron Helm
		3842,	--	Green Iron Leggings
		3840,	--	Green Iron Shoulders
		12796,	--	Hammer of the Titans
		3849,	--	Hardened Iron Shortsword
		12783,	--	Heartseeker
		3491,	--	Heavy Bronze Mace
		3487,	--	Heavy Copper Broadsword
		6214,	--	Heavy Copper Maul
		7941,	--	Heavy Mithril Axe
		7933,	--	Heavy Mithril Boots
		7930,	--	Heavy Mithril Breastplate
		7919,	--	Heavy Mithril Gauntlet
		7934,	--	Heavy Mithril Helm
		7921,	--	Heavy Mithril Pants
		7918,	--	Heavy Mithril Shoulder
		22197,	--	Heavy Obsidian Belt
		2871,	--	Heavy Sharpening Stone
		19043,	--	Heavy Timbermaw Belt
		19048,	--	Heavy Timbermaw Boots
		3241,	--	Heavy Weightstone
		12636,	--	Helm of the Great Chief
		12775,	--	Huge Thorium Battleaxe
		22671,	--	Icebane Bracers
		22669,	--	Icebane Breastplate
		22670,	--	Icebane Gauntlets
		12424,	--	Imperial Plate Belt
		12426,	--	Imperial Plate Boots
		12425,	--	Imperial Plate Bracers
		12422,	--	Imperial Plate Chest
		12427,	--	Imperial Plate Helm
		12429,	--	Imperial Plate Leggings
		12428,	--	Imperial Plate Shoulders
		12641,	--	Invulnerable Mail
		5541,	--	Iridescent Hammer
		6043,	--	Iron Counterweight
		6042,	--	Iron Shield Spike
		6731,	--	Ironforge Breastplate
		22764,	--	Ironvine Belt
		22762,	--	Ironvine Breastplate
		22763,	--	Ironvine Gloves
		3850,	--	Jade Serpentblade
		22198,	--	Jagged Obsidian Shield
		22195,	--	Light Obsidian Belt
		12640,	--	Lionheart Helm
		3855,	--	Massive Iron Axe
		12794,	--	Masterwork Stormhammer
		3492,	--	Mighty Iron Hammer
		7931,	--	Mithril Coif
		7924,	--	Mithril Scale Bracers
		7920,	--	Mithril Scale Pants
		7932,	--	Mithril Scale Shoulders
		7967,	--	Mithril Shield Spike
		7969,	--	Mithril Spurs
		3853,	--	Moonsteel Broadsword
		19169,	--	Nightfall
		22191,	--	Obsidian Plate Tunic
		7929,	--	Orcish War Leggings
		7936,	--	Ornate Mithril Boots
		7935,	--	Ornate Mithril Breastplate
		7927,	--	Ornate Mithril Gloves
		7937,	--	Ornate Mithril Helm
		7926,	--	Ornate Mithril Pants
		7928,	--	Ornate Mithril Shoulder
		12773,	--	Ornate Thorium Handaxe
		2868,	--	Patterned Bronze Bracers
		5540,	--	Pearl-Handled Dagger
		22384,	--	Persuader
		7961,	--	Phantom Blade
		3846,	--	Polished Steel Boots
		12416,	--	Radiant Belt
		12419,	--	Radiant Boots
		12415,	--	Radiant Breastplate
		12417,	--	Radiant Circlet
		12418,	--	Radiant Gloves
		12420,	--	Radiant Leggings
		6350,	--	Rough Bronze Boots
		2866,	--	Rough Bronze Cuirass
		2865,	--	Rough Bronze Leggings
		3480,	--	Rough Bronze Shoulders
		10421,	--	Rough Copper Vest
		2862,	--	Rough Sharpening Stone
		3239,	--	Rough Weightstone
		2857,	--	Runed Copper Belt
		2854,	--	Runed Copper Bracers
		2864,	--	Runed Copper Breastplate
		3472,	--	Runed Copper Gauntlets
		3473,	--	Runed Copper Pants
		7946,	--	Runed Mithril Hammer
		12613,	--	Runic Breastplate
		12611,	--	Runic Plate Boots
		12612,	--	Runic Plate Helm
		12614,	--	Runic Plate Leggings
		12610,	--	Runic Plate Shoulders
		22383,	--	Sageblade
		12260,	--	Searing Golden Blade
		12781,	--	Serenity
		3856,	--	Shadow Crescent Axe
		2870,	--	Shining Silver Breastplate
		15869,	--	Silver Skeleton Key
		3482,	--	Silvered Bronze Boots
		2869,	--	Silvered Bronze Breastplate
		3483,	--	Silvered Bronze Gauntlets
		10423,	--	Silvered Bronze Leggings
		3481,	--	Silvered Bronze Shoulders
		3851,	--	Solid Iron Maul
		7964,	--	Solid Sharpening Stone
		7965,	--	Solid Weightstone
		7963,	--	Steel Breastplate
		7922,	--	Steel Plate Helm
		6041,	--	Steel Weapon Chain
		12632,	--	Storm Gauntlets
		12639,	--	Stronghold Gauntlets
		17193,	--	Sulfuron Hammer
		7954,	--	The Shatterer
		22196,	--	Thick Obsidian Breastplate
		3489,	--	Thick War Axe
		12405,	--	Thorium Armor
		12406,	--	Thorium Belt
		12409,	--	Thorium Boots
		12408,	--	Thorium Bracers
		12410,	--	Thorium Helm
		12414,	--	Thorium Leggings
		12645,	--	Thorium Shield Spike
		22385,	--	Titanic Leggings
		7939,	--	Truesilver Breastplate
		7960,	--	Truesilver Champion
		7938,	--	Truesilver Gauntlets
		15871,	--	Truesilver Skeleton Key
		12792,	--	Volcanic Hammer
		12633,	--	Whitesoul Helm
		7943,	--	Wicked Mithril Blade
		12624,	--	Wildthorn Mail

};

SmexyMats.ItemsFor_Blacksmithing = {

	151568,	--	Primal Sargerite
	151564,	--	Empyrium

	146714,	--	Hammer of Forgotten Kings
	146659,	--	Nethershard Essence
	
	124124,	--	Blood of Sargeras
	130179,	--	Eye of Prophecy
	124444,	--	Infernal Brimstone
	124440,	--	Arkhana
	124116,	--	Felhide
	124436,	--	Foxflower Flux
	124461,	--	Demonsteel Bar
	123919,	--	Felslate
	124113,	--	Stonehide Leather
	113261,	--	Sorcerous Fire
	118472,	--	Savage Blood
	120945,	--	Primal Spirit
	109118,	--	Blackrock Ore
	109119,	--	True Iron Ore
	110609,	--	Raw Beast Hide
	123918,	--	Leystone Ore
	113264,	--	Sorcerous Air
	124115,	--	Stormscale
	124437,	--	Shal'dorei Silk
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	127759,	--	Felblight
	113263,	--	Sorcerous Earth
	108257,	--	Truesteel Ingot
	76061,	--	Spirit of Harmony
	94289,	--	Haunting Spirit
	98717,	--	Balanced Trillium Ingot
	102218,	--	Spirit of War
	72095,	--	Trillium Bar
	111557,	--	Sumptuous Fur
	80433,	--	Blood Spirit
	94111,	--	Lightning Steel Ingot
	72093,	--	Kyparite
	72104,	--	Living Steel
	72096,	--	Ghost Iron Bar
	77467,	--	Ghost Iron Bolts
	77468,	--	High-Explosive Gunpowder
	71998,	--	Essence of Destruction
	52078,	--	Chaos Orb
	51950,	--	Pyrium Bar
	58480,	--	Truegold
	52191,	--	Ocean Sapphire
	52193,	--	Ember Topaz
	52190,	--	Inferno Ruby
	52186,	--	Elementium Bar
	52325,	--	Volatile Fire
	52327,	--	Volatile Earth
	52329,	--	Volatile Life
	53039,	--	Hardened Elementium Bar
	56516,	--	Heavy Savage Leather
	52326,	--	Volatile Water
	52182,	--	Jasper
	54849,	--	Obsidium Bar
	52178,	--	Zephyrite
	65365,	--	Folded Obsidium
	45087,	--	Runed Orb
	47556,	--	Crusader Orb
	43102,	--	Frozen Orb
	69237,	--	Living Ember
	37663,	--	Titansteel Bar
	41163,	--	Titanium Bar
	36913,	--	Saronite Bar
	36925,	--	Majestic Zircon
	49908,	--	Primordial Saronite
	35622,	--	Eternal Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	30183,	--	Nether Vortex
	35627,	--	Eternal Shadow
	36860,	--	Eternal Fire
	37700,	--	Crystallized Air
	37701,	--	Crystallized Earth
	37702,	--	Crystallized Fire
	37703,	--	Crystallized Shadow
	37705,	--	Crystallized Water
	35625,	--	Eternal Life
	36916,	--	Cobalt Bar
	22450,	--	Void Crystal
	22449,	--	Large Prismatic Shard
	34664,	--	Sunmote
	23447,	--	Eternium Bar
	23449,	--	Khorium Bar
	35128,	--	Hardened Khorium
	34054,	--	Infinite Dust
	23571,	--	Primal Might
	23572,	--	Primal Nether
	32428,	--	Heart of Darkness
	21884,	--	Primal Fire
	21885,	--	Primal Water
	21886,	--	Primal Life
	22451,	--	Primal Air
	22452,	--	Primal Earth
	22456,	--	Primal Shadow
	22457,	--	Primal Mana
	22573,	--	Mote of Earth
	23446,	--	Adamantite Bar
	23573,	--	Hardened Adamantite Bar
	17203,	--	Sulfuron Ingot
	20725,	--	Nexus Crystal
	17011,	--	Lava Core
	11754,	--	Black Diamond
	12364,	--	Huge Emerald
	12800,	--	Azerothian Diamond
	12809,	--	Guardian Stone
	12811,	--	Righteous Orb
	23448,	--	Felsteel Bar
	17012,	--	Core Leather
	18567,	--	Elemental Flux
	21877,	--	Netherweave Cloth
	21887,	--	Knothide Leather
	22445,	--	Arcane Dust
	23445,	--	Fel Iron Bar
	17010,	--	Fiery Core
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	12360,	--	Arcanite Bar
	12361,	--	Blue Sapphire
	12799,	--	Large Opal
	12803,	--	Living Essence
	7076,	--	Essence of Earth
	20520,	--	Dark Rune
	12655,	--	Enchanted Thorium Bar
	12804,	--	Powerful Mojo
	12810,	--	Enchanted Leather
	7080,	--	Essence of Water
	7910,	--	Star Ruby
	12662,	--	Demonic Rune
	6037,	--	Truesilver Bar
	8170,	--	Rugged Leather
	11371,	--	Dark Iron Bar
	12359,	--	Thorium Bar
	14047,	--	Runecloth
	15417,	--	Devilsaur Leather
	11382,	--	Blood of the Mountain
	7075,	--	Core of Earth
	7077,	--	Heart of Fire
	7081,	--	Breath of Wind
	7972,	--	Ichor of Undeath
	12365,	--	Dense Stone
	12644,	--	Dense Grinding Stone
	7909,	--	Aquamarine
	3864,	--	Citrine
	7971,	--	Black Pearl
	8153,	--	Wildvine
	3860,	--	Mithril Bar
	4304,	--	Thick Leather
	4338,	--	Mageweave Cloth
	1529,	--	Jade
	3859,	--	Steel Bar
	7966,	--	Solid Grinding Stone
	7912,	--	Solid Stone
	3577,	--	Gold Bar
	4234,	--	Heavy Leather
	4306,	--	Silk Cloth
	5637,	--	Large Fang
	1705,	--	Lesser Moonstone
	3575,	--	Iron Bar
	5500,	--	Iridescent Pearl
	1206,	--	Moss Agate
	3466,	--	Strong Flux
	3486,	--	Heavy Grinding Stone
	7067,	--	Elemental Earth
	7068,	--	Elemental Fire
	7069,	--	Elemental Air
	7070,	--	Elemental Water
	2838,	--	Heavy Stone
	1210,	--	Shadowgem
	2319,	--	Medium Leather
	2321,	--	Fine Thread
	2841,	--	Bronze Bar
	3478,	--	Coarse Grinding Stone
	818,	--	Tigerseye
	2592,	--	Wool Cloth
	2605,	--	Green Dye
	2836,	--	Coarse Stone
	5635,	--	Sharp Claw
	5498,	--	Small Lustrous Pearl
	2842,	--	Silver Bar
	2318,	--	Light Leather
	2840,	--	Copper Bar
	3470,	--	Rough Grinding Stone
	774,	--	Malachite
	2589,	--	Linen Cloth
	2835,	--	Rough Stone
	2880,	--	Weak Flux
	22202,	--	Small Obsidian Shard
	22203,	--	Large Obsidian Shard
};
