﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Herbalism.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Herbalism(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Herbalism) do 
		if (tonumber(iID) == v) then 
			return true;
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Herbalism(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Herbalism) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Herbalism = {
	151719,	--	Astral Glory

	36903,	--	Adder's Tongue
	124101,	--	Aethril
	129117,	--	Aethril Sample
	129284,	--	Aethril Seed
	22790,	--	Ancient Lichen
	108348,	--	Ancient Lichen Petal
	81198,	--	Animate Leaf
	135480,	--	Aqueous Aethril
	8836,	--	Arthas' Tears
	52985,	--	Azshara's Veil
	13468,	--	Black Lotus
	129141,	--	Blight-Choked Herb
	129151,	--	Blight-Infested Dreamleaf
	129136,	--	Blight-Twisted Herb
	8839,	--	Blindweed
	108336,	--	Blindweed Stem
	124124,	--	Blood of Sargeras
	22710,	--	Bloodthistle
	140959,	--	Brambly Fjarnskaggl
	2450,	--	Briarthorn
	109625,	--	Broken Fireweed Stem
	109624,	--	Broken Frostweed Stem
	132220,	--	Broken Stem
	23331,	--	Broken Vine
	2453,	--	Bruiseweed
	7101,	--	Bug Eye
	140951,	--	Bushy Aethril
	140956,	--	Bushy Dreamleaf
	140988,	--	Bushy Foxflower
	52983,	--	Cinderbloom
	37704,	--	Crystallized Life
	37921,	--	Deadnettle
	89639,	--	Desecrated Herb
	97624,	--	Desecrated Herb Pod
	103643,	--	Dew of Eternal Morning
	116053,	--	Draenic Seeds
	3819,	--	Dragon's Teeth
	108329,	--	Dragon's Teeth Stem
	13463,	--	Dreamfoil
	108339,	--	Dreamfoil Blade
	22786,	--	Dreaming Glory
	108345,	--	Dreaming Glory Petal
	124102,	--	Dreamleaf
	129118,	--	Dreamleaf Sample
	129285,	--	Dreamleaf Seed
	2449,	--	Earthroot
	3818,	--	Fadeleaf
	108328,	--	Fadeleaf Petal
	22795,	--	Fel Blossom
	11514,	--	Fel Creep
	22794,	--	Fel Lotus
	127759,	--	Felblight
	22785,	--	Felweed
	108344,	--	Felweed Stalk
	124106,	--	Felwort
	129122,	--	Felwort Sample
	129289,	--	Felwort Seed
	39970,	--	Fire Leaf
	108359,	--	Fire Leaf Bramble
	4625,	--	Firebloom
	108332,	--	Firebloom Petal
	109125,	--	Fireweed
	124104,	--	Fjarnskaggl
	129120,	--	Fjarnskaggl Sample
	129287,	--	Fjarnskaggl Seed
	22788,	--	Flame Cap
	140947,	--	Flourishing Aethril
	140952,	--	Flourishing Dreamleaf
	140958,	--	Flourishing Fjarnskaggl
	140986,	--	Flourishing Foxflower
	140989,	--	Flourishing Starlight Rose Petals
	79011,	--	Fool's Cap
	97623,	--	Fool's Cap Spores
	124103,	--	Foxflower
	129119,	--	Foxflower Sample
	129286,	--	Foxflower Seed
	140957,	--	Fragrant Dreamleaf
	36908,	--	Frost Lotus
	109124,	--	Frostweed
	39516,	--	Frosty Mushroom
	8845,	--	Ghost Mushroom
	108337,	--	Ghost Mushroom Cap
	36901,	--	Goldclover
	72238,	--	Golden Lotus
	13464,	--	Golden Sansam
	108340,	--	Golden Sansam Leaf
	3821,	--	Goldthorn
	108331,	--	Goldthorn Bramble
	109126,	--	Gorgrond Flytrap
	109626,	--	Gorgrond Flytrap Ichor
	3369,	--	Grave Moss
	108327,	--	Grave Moss Leaf
	72234,	--	Green Tea Leaf
	8846,	--	Gromsblood
	108338,	--	Gromsblood Leaf
	54630,	--	Half-Wilted Flower
	129150,	--	Healthy Dreamleaf
	52986,	--	Heartblossom
	33452,	--	Honey-Spiced Lichen
	13467,	--	Icecap
	108343,	--	Icecap Petal
	36906,	--	Icethorn
	140950,	--	Iridescent Aethril
	140955,	--	Iridescent Dreamleaf
	140991,	--	Iridescent Starlight Rose Petals
	129140,	--	Jeweled Spade Handle
	3358,	--	Khadgar's Whisker
	108326,	--	Khadgar's Whisker Stem
	3356,	--	Kingsblood
	108324,	--	Kingsblood Petal
	36905,	--	Lichbloom
	89640,	--	Life Spirit
	63122,	--	Lifegiving Seed
	3357,	--	Liferoot
	108325,	--	Liferoot Stem
	2589,	--	Linen Cloth
	140948,	--	Lively Aethril
	140954,	--	Lively Dreamleaf
	785,	--	Mageroyal
	774,	--	Malachite
	22793,	--	Mana Thistle
	22575,	--	Mote of Life
	22576,	--	Mote of Mana
	13465,	--	Mountain Silversage
	108341,	--	Mountain Silversage Stalk
	23987,	--	Mutated Petal
	23988,	--	Mutated Vine
	109128,	--	Nagrand Arrowbloom
	109628,	--	Nagrand Arrowbloom Petal
	35229,	--	Nether Residue
	22791,	--	Netherbloom
	32468,	--	Netherdust Pollen
	32506,	--	Netherwing Egg
	129137,	--	Nibbled Foxflower Stem
	22792,	--	Nightmare Vine
	108350,	--	Nightmare Vine Stem
	74615,	--	Paint Soaked Brush
	2447,	--	Peacebloom
	54628,	--	Pointy Thorn
	140960,	--	Prickly Fjarnskaggl
	120945,	--	Primal Spirit
	129128,	--	Pristine Pistil
	140961,	--	Pungent Fjarnskaggl
	8831,	--	Purple Lotus
	129135,	--	Ragged Strips of Silk
	22787,	--	Ragveil
	72237,	--	Rain Poppy
	97620,	--	Rain Poppy Petal
	129138,	--	Ram's-Horn Trowel
	5056,	--	Root Sample
	18223,	--	Serrated Petal
	81210,	--	Shimmering Pollen
	72235,	--	Silkweed
	97621,	--	Silkweed Stem
	765,	--	Silverleaf
	135500,	--	Singed Fjarnskaggl
	25813,	--	Small Mushroom
	5465,	--	Small Spider Leg
	79010,	--	Snow Lily
	97622,	--	Snow Lily Petal
	13466,	--	Sorrowmoss
	108342,	--	Sorrowmoss Leaf
	35947,	--	Sparkling Frostcap
	29453,	--	Sporeggar Mushroom
	129131,	--	Stainless Stamen
	109127,	--	Starflower
	109627,	--	Starflower Petal
	124105,	--	Starlight Rose
	129288,	--	Starlight Rose Seed
	129121,	--	Starlight Rosedust
	129158,	--	Starlight Rosedust
	52984,	--	Stormvine
	3820,	--	Stranglekelp
	108330,	--	Stranglekelp Blade
	8838,	--	Sungrass
	108335,	--	Sungrass Stalk
	2452,	--	Swiftthistle
	109129,	--	Talador Orchid
	109629,	--	Talador Orchid Petal
	36907,	--	Talandra's Rose
	108357,	--	Talandra's Rose Petal
	22789,	--	Terocone
	108347,	--	Terocone Leaf
	18222,	--	Thorny Vine
	36904,	--	Tiger Lily
	97619,	--	Torn Green Tea Leaf
	52987,	--	Twilight Jasmine
	24401,	--	Unidentified Plant Parts
	69772,	--	Vibrant Petals
	52329,	--	Volatile Life
	89641,	--	Water Spirit
	52988,	--	Whiptail
	3355,	--	Wild Steelbloom
	108323,	--	Wild Steelbloom Petal
	8153,	--	Wildvine
	54627,	--	Wilted Flower
	23330,	--	Wilted Petal
	58962,	--	Wilting Petals
	140987,	--	Wispy Foxflower
	67357,	--	Wriggling Worm
	128304,	--	Yseralline Seed
	27859,	--	Zangar Caps
};

SmexyMats.ItemsFor_Herbalism = {
	
};