--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Mining.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Mining(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Mining) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Mining(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Mining) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Mining = {
	23446,	--	Adamantite Bar
	23425,	--	Adamantite Ore
	108302,	--	Adamantite Ore Nugget
	76137,	--	Alexandrite
	52179,	--	Alicite
	52195,	--	Amberjewel
	7909,	--	Aquamarine
	12363,	--	Arcane Crystal
	36921,	--	Autumn's Glow
	12800,	--	Azerothian Diamond
	23117,	--	Azure Moonstone
	11754,	--	Black Diamond
	72094,	--	Black Trillium Ore
	9262,	--	Black Vitriol
	109992,	--	Blackrock Fragment
	109118,	--	Blackrock Ore
	23077,	--	Blood Garnet
	124124,	--	Blood of Sargeras
	11382,	--	Blood of the Mountain
	36917,	--	Bloodstone
	12361,	--	Blue Sapphire
	2841,	--	Bronze Bar
	52177,	--	Carnelian
	36923,	--	Chalcedony
	769,	--	Chunk of Boar Meat
	3864,	--	Citrine
	3857,	--	Coal
	2836,	--	Coarse Stone
	36916,	--	Cobalt Bar
	36909,	--	Cobalt Ore
	108305,	--	Cobalt Ore Nugget
	2840,	--	Copper Bar
	2770,	--	Copper Ore
	2674,	--	Crawler Meat
	32227,	--	Crimson Spinel
	37700,	--	Crystallized Air
	37701,	--	Crystallized Earth
	37702,	--	Crystallized Fire
	37703,	--	Crystallized Shadow
	37705,	--	Crystallized Water
	11371,	--	Dark Iron Bar
	11370,	--	Dark Iron Ore
	36932,	--	Dark Jade
	23440,	--	Dawnstone
	23079,	--	Deep Peridot
	8150,	--	Deeprock Salt
	52194,	--	Demonseye
	12365,	--	Dense Stone
	115508,	--	Draenic Stone
	11176,	--	Dream Dust
	52192,	--	Dream Emerald
	18567,	--	Elemental Flux
	52186,	--	Elementium Bar
	18562,	--	Elementium Ingot
	52185,	--	Elementium Ore
	108308,	--	Elementium Ore Nugget
	52193,	--	Ember Topaz
	32228,	--	Empyrean Sapphire
	151564,	--	Empyrium
	12655,	--	Enchanted Thorium Bar
	7076,	--	Essence of Earth
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35627,	--	Eternal Shadow
	23447,	--	Eternium Bar
	23427,	--	Eternium Ore
	23445,	--	Fel Iron Bar
	23424,	--	Fel Iron Ore
	108301,	--	Fel Iron Ore Nugget
	127759,	--	Felblight
	123919,	--	Felslate
	23448,	--	Felsteel Bar
	17010,	--	Fiery Core
	21929,	--	Flame Spessarite
	36933,	--	Forest Emerald
	72096,	--	Ghost Iron Bar
	97512,	--	Ghost Iron Nugget
	72092,	--	Ghost Iron Ore
	3577,	--	Gold Bar
	2776,	--	Gold Ore
	108296,	--	Gold Ore Nugget
	23112,	--	Golden Draenite
	23573,	--	Hardened Adamantite Bar
	53039,	--	Hardened Elementium Bar
	2838,	--	Heavy Stone
	52181,	--	Hessonite
	36929,	--	Huge Citrine
	12364,	--	Huge Emerald
	76141,	--	Imperial Amethyst
	124444,	--	Infernal Brimstone
	52190,	--	Inferno Ruby
	3575,	--	Iron Bar
	2772,	--	Iron Ore
	108297,	--	Iron Ore Nugget
	1529,	--	Jade
	52182,	--	Jasper
	23449,	--	Khorium Bar
	23426,	--	Khorium Ore
	108304,	--	Khorium Ore Nugget
	72093,	--	Kyparite
	97546,	--	Kyparite Fragment
	76133,	--	Lapis Lazuli
	22203,	--	Large Obsidian Shard
	12799,	--	Large Opal
	1705,	--	Lesser Moonstone
	123918,	--	Leystone Ore
	17056,	--	Light Feather
	2589,	--	Linen Cloth
	32229,	--	Lionseye
	23436,	--	Living Ruby
	27668,	--	Lynx Meat
	774,	--	Malachite
	3860,	--	Mithril Bar
	3858,	--	Mithril Ore
	108300,	--	Mithril Ore Nugget
	36930,	--	Monarch Topaz
	1206,	--	Moss Agate
	22573,	--	Mote of Earth
	22574,	--	Mote of Fire
	1468,	--	Murloc Fin
	23441,	--	Nightseye
	52180,	--	Nightstone
	23439,	--	Noble Topaz
	54849,	--	Obsidium Bar
	53038,	--	Obsidium Ore
	108307,	--	Obsidium Ore Nugget
	52191,	--	Ocean Sapphire
	76136,	--	Pandarian Garnet
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	120945,	--	Primal Spirit
	76131,	--	Primordial Ruby
	32231,	--	Pyrestone
	52183,	--	Pyrite Ore
	108309,	--	Pyrite Ore Nugget
	51950,	--	Pyrium Bar
	76138,	--	River's Heart
	76135,	--	Roguestone
	2835,	--	Rough Stone
	36913,	--	Saronite Bar
	36912,	--	Saronite Ore
	108306,	--	Saronite Ore Nugget
	36918,	--	Scarlet Ruby
	5466,	--	Scorpid Stinger
	32249,	--	Seaspray Emerald
	36926,	--	Shadow Crystal
	23107,	--	Shadow Draenite
	1210,	--	Shadowgem
	32230,	--	Shadowsong Amethyst
	2842,	--	Silver Bar
	2775,	--	Silver Ore
	108294,	--	Silver Ore Nugget
	36924,	--	Sky Sapphire
	22202,	--	Small Obsidian Shard
	7912,	--	Solid Stone
	23438,	--	Star of Elune
	7910,	--	Star Ruby
	3859,	--	Steel Bar
	5469,	--	Strider Meat
	2672,	--	Stringy Wolf Meat
	36920,	--	Sun Crystal
	76142,	--	Sun's Radiance
	76134,	--	Sunstone
	23437,	--	Talasite
	12359,	--	Thorium Bar
	10620,	--	Thorium Ore
	108298,	--	Thorium Ore Nugget
	76130,	--	Tiger Opal
	818,	--	Tigerseye
	3576,	--	Tin Bar
	2771,	--	Tin Ore
	41163,	--	Titanium Bar
	36910,	--	Titanium Ore
	108391,	--	Titanium Ore Nugget
	37663,	--	Titansteel Bar
	72095,	--	Trillium Bar
	109991,	--	True Iron Nugget
	109119,	--	True Iron Ore
	6037,	--	Truesilver Bar
	7911,	--	Truesilver Ore
	108299,	--	Truesilver Ore Nugget
	36927,	--	Twilight Opal
	76140,	--	Vermilion Onyx
	52328,	--	Volatile Air
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	52326,	--	Volatile Water
	72103,	--	White Trillium Ore
	76139,	--	Wild Jade
	52178,	--	Zephyrite
};

SmexyMats.ItemsFor_Mining = {
	23446,	--	Adamantite Bar
	23425,	--	Adamantite Ore
	12360,	--	Arcanite Bar
	72094,	--	Black Trillium Ore
	3857,	--	Coal
	36909,	--	Cobalt Ore
	2840,	--	Copper Bar
	2770,	--	Copper Ore
	11370,	--	Dark Iron Ore
	11176,	--	Dream Dust
	18567,	--	Elemental Flux
	52186,	--	Elementium Bar
	18562,	--	Elementium Ingot
	52185,	--	Elementium Ore
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35627,	--	Eternal Shadow
	23447,	--	Eternium Bar
	23427,	--	Eternium Ore
	23445,	--	Fel Iron Bar
	23424,	--	Fel Iron Ore
	17010,	--	Fiery Core
	72092,	--	Ghost Iron Ore
	2776,	--	Gold Ore
	23573,	--	Hardened Adamantite Bar
	3575,	--	Iron Bar
	2772,	--	Iron Ore
	23449,	--	Khorium Bar
	23426,	--	Khorium Ore
	3858,	--	Mithril Ore
	53038,	--	Obsidium Ore
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	52183,	--	Pyrite Ore
	36912,	--	Saronite Ore
	2775,	--	Silver Ore
	12359,	--	Thorium Bar
	10620,	--	Thorium Ore
	3576,	--	Tin Bar
	2771,	--	Tin Ore
	41163,	--	Titanium Bar
	36910,	--	Titanium Ore
	7911,	--	Truesilver Ore
	52327,	--	Volatile Earth
	72103,	--	White Trillium Ore
};