--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Skinning.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Skinning(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Skinning) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

SmexyMats.ItemsFrom_Skinning = {
	44128,	--	Arctic Fur
	124119,	--	Big Gamy Ribs
	15416,	--	Black Dragonscale
	7286,	--	Black Whelp Scale
	52979,	--	Blackened Dragonscale
	112156,	--	Blackened Dragonscale Fragment
	124124,	--	Blood of Sargeras
	15415,	--	Blue Dragonscale
	33568,	--	Borean Leather
	33567,	--	Borean Leather Scraps
	12607,	--	Brilliant Chromatic Scale
	109624,	--	Broken Frostweed Stem
	29539,	--	Cobra Scales
	17012,	--	Core Leather
	2675,	--	Crawler Claw
	25699,	--	Crystal Infused Leather
	52982,	--	Deepsea Scale
	112155,	--	Deepsea Scale Fragment
	6470,	--	Deviate Scale
	15417,	--	Devilsaur Leather
	67749,	--	Electrified Ether
	72120,	--	Exotic Leather
	124118,	--	Fatty Bearsteak
	25707,	--	Fel Hide
	25700,	--	Fel Scales
	127759,	--	Felblight
	79011,	--	Fool's Cap
	72092,	--	Ghost Iron Ore
	15412,	--	Green Dragonscale
	72234,	--	Green Tea Leaf
	7392,	--	Green Whelp Scale
	60224,	--	Handful of Obsidium Bolts
	4235,	--	Heavy Hide
	4234,	--	Heavy Leather
	15408,	--	Heavy Scorpid Scale
	38557,	--	Icy Dragonscale
	112158,	--	Icy Dragonscale Fragment
	38561,	--	Jormungar Scale
	21887,	--	Knothide Leather
	25649,	--	Knothide Leather Scraps
	124117,	--	Lean Shank
	124120,	--	Leyblood
	783,	--	Light Hide
	2318,	--	Light Leather
	2589,	--	Linen Cloth
	72163,	--	Magnificent Hide
	4232,	--	Medium Hide
	2319,	--	Medium Leather
	38558,	--	Nerubian Chitin
	29548,	--	Nether Dragonscales
	112182,	--	Patch of Fel Hide
	6471,	--	Perfect Deviate Scale
	120945,	--	Primal Spirit
	79101,	--	Prismatic Scale
	112157,	--	Prismatic Scale Fragment
	72237,	--	Rain Poppy
	110609,	--	Raw Beast Hide
	110610,	--	Raw Beast Hide Scraps
	15414,	--	Red Dragonscale
	8171,	--	Rugged Hide
	8170,	--	Rugged Leather
	2934,	--	Ruined Leather Scraps
	52976,	--	Savage Leather
	52977,	--	Savage Leather Scraps
	15410,	--	Scale of Onyxia
	8154,	--	Scorpid Scale
	72162,	--	Sha-Touched Leather
	72235,	--	Silkweed
	4404,	--	Silver Contact
	79010,	--	Snow Lily
	124113,	--	Stonehide Leather
	124115,	--	Stormscale
	2672,	--	Stringy Wolf Meat
	25708,	--	Thick Clefthoof Leather
	8169,	--	Thick Hide
	4304,	--	Thick Leather
	8167,	--	Turtle Scale
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	15419,	--	Warbear Leather
	112185,	--	Wind Scale Fragment
	29547,	--	Wind Scales
	8165,	--	Worn Dragonscale
};

SmexyMats.ItemsFor_Skinning = {

};